Package ru.bitel.bgbilling.modules.ipn.server.bean

# Class IPNResourceManager

java.lang.Object
bitel.billing.server.admin.resource.bean.ResourceManager<IPResourceRange>
bitel.billing.server.admin.resource.bean.ip.IPResourceRangeManager
ru.bitel.bgbilling.modules.ipn.server.bean.IPNResourceManager

public class IPNResourceManager extends IPResourceRangeManager

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `IPNResourceManager.NumberChange`

- ## Field Summary

  ### Fields inherited from class bitel.billing.server.admin.resource.bean.ResourceManager

  `con, mid, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IPNResourceManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkResourceOutRange(int resourceId, Calendar date1, Calendar date2)`
  `void`
  `closeResourceUse(int cid, Date date)`
  `void`
  `freeResources(int cid)`
  `Iterable<IPResourceRange>`
  `getBusyResourceIterator(int categoryId, Calendar date, long ip1, long ip2, boolean mask)`
  `Iterable<IPResourceRange>`
  `getFreeResourceIterator(int categoryId, Calendar onDate)`
  `List<IPResourceRangeUse>`
  `getResourceUse(int resourceId, int itemId, long ip1, long ip2)`
  `int`
  `resourceAnalize(AddressRange addressOld, AddressRange address)`
  `int`
  `resourceAnalize(AddressRange addressOld, AddressRange address, Map<String,IPNResourceManager.NumberChange> numberMap)`
  Deprecated.
  Использовать resourceAnalize( AddressRange addressOld, AddressRange address )
  `void`
  `syncResourceUse()`
  `boolean`
  `wasResourceUsed(String resourceId)`

  ### Methods inherited from class bitel.billing.server.admin.resource.bean.ip.IPResourceRangeManager

  `addFilters, addResources, checkResource, deleteResource, getResource, getResourceFromRs, getResourceIterator, getResourceList, getResourceListByIds, getResourceUseFromRs, getTableName, installModule, uninstallModule, updateResource, updateResourcePeriod`

  ### Methods inherited from class bitel.billing.server.admin.resource.bean.ResourceManager

  `changeResourceCategory, getResourceCount, loadStandartResourceFromRs, newResourceManager`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IPNResourceManager

    public IPNResourceManager(Connection con, int mid)

- ## Method Details

  - ### getResourceUse

    public List<IPResourceRangeUse> getResourceUse(int resourceId, int itemId, long ip1, long ip2)

  - ### getBusyResourceIterator

    public Iterable<IPResourceRange> getBusyResourceIterator(int categoryId, Calendar date, long ip1, long ip2, boolean mask)

  - ### getFreeResourceIterator

    public Iterable<IPResourceRange> getFreeResourceIterator(int categoryId, Calendar onDate) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkResourceOutRange

    public boolean checkResourceOutRange(int resourceId, Calendar date1, Calendar date2)

  - ### wasResourceUsed

    public boolean wasResourceUsed(String resourceId)

  - ### resourceAnalize

    @Deprecated public int resourceAnalize(AddressRange addressOld, AddressRange address, Map<String,IPNResourceManager.NumberChange> numberMap) throws ru.bitel.bgbilling.common.BGException, SQLException
    Deprecated.
    Использовать resourceAnalize( AddressRange addressOld, AddressRange address )
    Parameters:
      `addressOld` -
      `address` -
      `numberMap` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### resourceAnalize

    public int resourceAnalize(AddressRange addressOld, AddressRange address) throws ru.bitel.bgbilling.common.BGException, SQLException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### freeResources

    public void freeResources(int cid)

  - ### closeResourceUse

    public void closeResourceUse(int cid, Date date)

  - ### syncResourceUse

    public void syncResourceUse() throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `syncResourceUse` in class `ResourceManager<IPResourceRange>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`